Support » Plugin: WooCommerce Payments » Problem with 2.9.0

  • Resolved mgc

    (@mgc)


    I use ManageWP to manage my websites. Since updating to 2.9.0 yesterday, my dashboard refuses to connect with the following error:

    Argument 1 passed to WC_Payments_Fraud_Service::send_forter_token() must be of the type string or null, array given, called in /var/www/wp-includes/class-wp-hook.php on line 303 occurred in wp-content/plugins/woocommerce-payments/includes/class-wc-payments-fraud-service.php on line 202 please make sure that your website is accessible

    Can this be fixed? I’ve since rolled back to 2.8.4 and there’s no issue with that. Thanks in advance!

    • This topic was modified 1 month, 4 weeks ago by mgc.

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 22 total)
  • Hello @mgc ,

    Thanks for reporting the problem.

    We’ve already reached out to our developers to check if this is something coming from the WooCommerce Payments end.

    We will post an update here once we hear from our developers. Till then, you can continue using the previous version.

    Thanks for your patience 🙂

    Thread Starter mgc

    (@mgc)

    Hi Rashed,

    That’s awesome! Thanks for the prompt response and I look forward to the fix. Have a great day!

    Best,
    MGC

    Plugin Support Sol J. a11n

    (@solstudioim)

    Hi @mgc

    Our developer has responded that we haven’t able to replicate the issue.

    But a bug report now has been filed to investigate this further.

    I’ve since rolled back to 2.8.4 and there’s no issue with that.

    For the time being, as a workaround, you can keep using the above version.

    If you wish to get alerted on the development of the bug report, feel free to create a ticket on our website directly.

    Please contact us at WooCommerce.com > My Account > Support. You may need to create an account before you can access that page.

    Please include a link to this forum thread, so that we can keep track of what’s already been done.

    We will be able to help you further there.

    For now, I’ll close this thread!

    Cyndi

    (@cynderella)

    I’m having the same issue too (using ManageWP) and getting the same warning.

    Thread Starter mgc

    (@mgc)

    Thanks for adding your voice, Cyndi!

    Add one more! I have downgraded and the connection to ManageWP is back on, backups resumed.

    Cemal

    • This reply was modified 1 month, 3 weeks ago by ACEkin.
    Thread Starter mgc

    (@mgc)

    Thanks for sharing, Cemal! 🙂

    Thread Starter mgc

    (@mgc)

    @solstudioim Hi, I’m not sure why this is in “resolved” status when it’s still clearly a problem for some of us.

    Plugin Support Ryan Ray, a11n

    (@ryanr14)

    Hi @mgc,

    I believe it’s marked resolved as there’s nothing more we can do in this thread here. Of course the issue isn’t resolved just yet, but our team is working to fix this.

    As Sol had mentioned, we can keep each person up to date individually on the bug itself if you create a ticket and reference this thread. I hope that helps!

    Thread Starter mgc

    (@mgc)

    Hi @ryanr14 and thanks for the response! Not wanting to be difficult, but I wonder why we’d report issues in this forum if we have to then go to your other website and sign up as users there, too, simply to track any updates and fixes. What was the point of our reporting the issue here then? Just trying to understand this process. Thanks.

    Plugin Support Thu P. a11n

    (@thup90)

    Hi @mgc ,

    With our premium support channel, we are able to check the issue for you and update you when the fix is released.

    I’ve just checked the issue and it looks like a fix is coming in the next version of the plugin, so you can just keep an eye out for an update.

    Feel free to get back to us in case you have any additional questions!

    Thread Starter mgc

    (@mgc)

    Hi @thup90 and thank you for the update. I guess from now on we should be reporting all bugs on your other site?

    Plugin Support Shohan Hossain Nabil – a11n

    (@sohanhossain)

    Hello @mgc,

    I guess from now on we should be reporting all bugs on your other site?

    Yes, feel free to reach out to us via a ticket. You can also post in this forum if you want.

    Thank you.

    Thread Starter mgc

    (@mgc)

    2.9.1 hasn’t fixed the problem. I opened a ticket at your main site.

    Thread Starter mgc

    (@mgc)

    Can’t open a ticket because I’m not a “premium” user.

    Here’s a recap:
    Updating from 2.8.4 to 2.9.0 or now 2.9.1 breaks my connection from, and prevents me from reconnecting with, my ManageWP dashboard app. I reported this about two weeks ago on the WordPress plugin support page: https://wordpress.org/support/topic/problem-with-2-9-0/

    I was told here above this was fixed and will be available in 2.9.1 and it’s still broken.

    Here’s the precise error:
    Argument 1 passed to WC_Payments_Fraud_Service::send_forter_token() must be of the type string or null, array given, called in /var/www/wp-includes/class-wp-hook.php on line 303 occurred in wp-content/plugins/woocommerce-payments/includes/class-wc-payments-fraud-service.php on line 202 please make sure that your website is accessible`

Viewing 15 replies - 1 through 15 (of 22 total)
  • You must be logged in to reply to this topic.